Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

I've been trying to get my Cisco ASA management software working and on Snow Leopard, it ran fine. However, even after installing Java manually on Mountain Lion (on my new Macbook Pro), I continue to receive this message:

error message

I've searched as best as I can and my google-fu is really failing me here. How do I resolve this? There's nothing in the Java Preferences pane that even references Web Start applications. Help?

Edit: Clicking on the "More Info..." button sends me to http://www.java.com/en/download/mac_download.jsp which is where I downloaded and installed Java from the first time I got this error.

share|improve this question
    
When you click More Info.... What website gets opened? Did you download anything from that site? –  bmike Nov 16 '12 at 21:25
    
The java website gets opened. I installed the latest java for OS X from there (sorry if I wasn't clear in the first part of my post). –  Brendan Nov 16 '12 at 21:28
add comment

3 Answers

up vote 4 down vote accepted
+50

If this is indeed a bug with your application and Java 7 as Mark mentioned, you can re-enable the previously-Apple-provided Java 6 and Web-Start functionality by following the steps from HT5559. The steps are below, along with commands to undo these changes, if they do not help.

Open Terminal in an administrator account (Terminal is in /Applications/Utilities) and run this command: sudo mkdir -p /Library/Internet\ Plug-Ins/disabled to create a directory for "disabled" plugins that you don't want to run.

Run sudo mv /Library/Internet\ Plug-Ins/JavaAppletPlugin.plugin /Library/Internet\ Plug-Ins/disabled to move your current Java plugin to the new "disabled" folder.

Run

sudo ln -sf /System/Library/Java/Support/Deploy.bundle/Contents/Resources/JavaPlugin2_NPAPI.plugin /Library/Internet\ Plug-Ins/JavaAppletPlugin.plugin

to link Apple's Java plugin to make it your current JavaAppletPlugin.

Run

 sudo ln -sf
 /System/Library/Frameworks/JavaVM.framework/Commands/javaws
 /usr/bin/javaws

to re-enable Java Web-Start.


To disable the above, follow the directions below:

Open Terminal in an administrator account and run:

 sudo ln -sf
 /System/Library/Frameworks/JavaVM.framework/Versions/Current/Commands/javaws
 /usr/bin/javaws

to disable Java 6 Web-Start and replace it with the newest Web-Start functionality.

and Re-install the newest Java Runtime Environment 7 from Oracle.

share|improve this answer
1  
Ok, so, I tried these steps, and they didn't entirely work (app still complained about missing JRE for web start), however I did try javaws https://10.1.10.1/admin/public/asdm.jnlp in Terminal and that let me launch the ASDM interface. My question now is... why does this work? –  Brendan Nov 26 '12 at 16:18
    
@Brendan Most likely, the app didn't work immediately from my instructions because you haven't fully restored Java 6. The answer to this question should be useful for you. What my answer did was restored Java 6 Web-Start by digging up an old version of the plugin from a different folder than "Current" and linking it to your /usr/bin/javaws. What you should do to run ASDM w/o Terminal is see the above link and download this Java. –  Ethan Lee Nov 27 '12 at 2:25
    
I am using jenv to manage the various Java versions on my Mac. So I used "jenv local oracle64-1.6.0.65" and then "javaws 192.168.x.1/admin/public/asdm.jnlp"; and it installed just fine. jenv.be –  Eric Darchis Jan 16 at 13:57
add comment

You should try to install the latest version of Java from the official website.

share|improve this answer
    
Uh, sorry, was my post not clear? I have already done this. –  Brendan Nov 20 '12 at 15:46
    
@Brendan Have you also installed the Apple Java version? –  Maverik Nov 20 '12 at 15:52
    
support.apple.com/kb/DL1572 –  Maverik Nov 20 '12 at 16:03
add comment

There is a known bug with the asdm and java 1.7. You will need to find a version of 1.6 to run it.

ASDM Launcher does not work with JAVA version 7

Symptom:

ASDM Launcher hangs when JAVA version 7 is used. However, it is still accessible from the browsers. The following exception is seen:

"Exception in thread "AWT-EventQueue-0" java.lang.ClassCastException: sun.security.ssl.X509TrustManagerImpl cannot be cast to com.sun.net.ssl.internal.ssl.X509ExtendedTrustManager"

Conditions:

Using JAVA version 7.

Workaround:

Use JAVA version 6 or access ASDM from the browser.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.